Package org.apache.tapestry5.hibernate.web.internal

## Class CommitAfterWorker

- java.lang.Object
- - org.apache.tapestry5.hibernate.web.internal.CommitAfterWorker

- All Implemented Interfaces:
    `ComponentClassTransformWorker2`

      public class CommitAfterWorker
      extends java.lang.Object
      implements ComponentClassTransformWorker2

  Searches for methods that have the `CommitAfter` annotation and adds logic around the method to commit or abort the transaction. The commit/abort logic is the same as for the `HibernateTransactionDecorator` service.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CommitAfterWorker​(HibernateSessionManager manager)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `transform​(PlasticClass plasticClass, TransformationSupport support, MutableComponentModel model)` | Invoked to perform part of the transformation of the `PlasticClass`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CommitAfterWorker

          public CommitAfterWorker​(HibernateSessionManager manager)

  - ### Method Detail

    - #### transform

          public void transform​(PlasticClass plasticClass,
                                TransformationSupport support,
                                MutableComponentModel model)

      Description copied from interface: `ComponentClassTransformWorker2`
      Invoked to perform part of the transformation of the `PlasticClass`.
      Specified by:
        `transform` in interface `ComponentClassTransformWorker2`
      Parameters:
        `plasticClass` - component class being transformed
        `support` - additional utilities needed during the transformation
        `model` - the model for the component being transformed